### A free/open-source library for quantitative finance

Public Member Functions
BivariateCumulativeNormalDistributionDr78 Class Reference

Cumulative bivariate normal distribution function. More...

`#include <ql/math/distributions/bivariatenormaldistribution.hpp>`

List of all members.

## Public Member Functions

| BivariateCumulativeNormalDistributionDr78 (Real rho)
Real | operator() (Real a, Real b) const

## Detailed Description

Cumulative bivariate normal distribution function.

Drezner (1978) algorithm, six decimal places accuracy.

For this implementation see "Option pricing formulas", E.G. Haug, McGraw-Hill 1998

Possible enhancements:
  check accuracy of this algorithm and compare with: 1) Drezner, Z, (1978), Computation of the bivariate normal integral, Mathematics of Computation 32, pp. 277-279. 2) Drezner, Z. and Wesolowsky, G. O. (1990) `On the Computation of the Bivariate Normal Integral', Journal of Statistical Computation and Simulation 35, pp. 101-107. 3) Drezner, Z (1992) Computation of the Multivariate Normal Integral, ACM Transactions on Mathematics Software 18, pp. 450-460. 4) Drezner, Z (1994) Computation of the Trivariate Normal Integral, Mathematics of Computation 62, pp. 289-294. 5) Genz, A. (1992) `Numerical Computation of the Multivariate Normal Probabilities', J. Comput. Graph. Stat. 1, pp. 141-150.

Tests:
  the correctness of the returned value is tested by checking it against known good results.